﻿html {
    
    color: deepskyblue;
    font-family: Calibri;
}

body {
    background: rgb(0,82,167);
    background: radial-gradient(circle, rgba(0,32,127,1) 0%, rgba(0,2,61,1) 100%);
    font-size: 20pt;
    color: deepskyblue;
    font-family: Calibri;
}

table {
    text-align: center;
}

td {
    border-spacing: 0px;
    padding: 0px;
    padding-right: 3px;
}

.textbox {
    margin: 0;
    width: 80px;
    height: 70px;
    text-align: center;
    font-size: 18pt;
    font-weight: bold;
    color: darkblue;
    border-radius: 15px;
    border-right: 3px solid aqua;
    border-bottom: 3px solid aqua;
    border-left: 1px solid aqua;
    border-top: 1px solid aqua;
    background: rgb(100,100,255);
}

.invalid {
    color: red;
}

.textbox:disabled {
    background: rgb(120,120,225);
}

.container {
    position: absolute;
    width: 90%;
    height: 90%;
    margin: auto;
}

.macierze {
    margin: auto;
    display: table;
    font-size: 26pt;
}

.validation {
    float: left;
    text-align: center;
    width: 100%;
    list-style-type: none;
}

.macierz {
    float: left;
    padding: 30px;
    text-align: center;
}

.radio {
    margin-top: 30px;
}

input[type=radio] {
    border: 0px;
    height: 50px;
    width: 30px;
    vertical-align: middle;
    
}

.dzialanie {
    float: left;
    width: 50px;
    padding-top: 160px;
    font-size: 32pt;
    text-align: center;
}

.controls {
    padding: 30px;
    float: left;
}

.allcontrols {

    margin: auto;
    display: table;
}

.tbrange {
    width: 120px;
    height: 40px;
    text-align: center;
    font-size: 18pt;
    font-weight: bold;
    color: darkblue;
    border-radius: 15px;
    border-right: 3px solid aqua;
    border-bottom: 3px solid aqua;
    border-left: 1px solid aqua;
    border-top: 1px solid aqua;
    background: rgb(100,100,255);
}

.rangeinvalid{
    color:red;
}

.button {
    background: rgba(0, 0, 0, 0.3);
    border: 3px solid blue;
    border-radius: 30px;
    font-size: 16pt;
    padding: 10px 20px;
    color: deepskyblue;
    margin: 10px;
}

.button:disabled {
    background: rgba(0, 0, 0, 0.0);
    border: 3px solid lightslategrey;
    border-radius: 30px;
    font-size: 16pt;
    padding: 10px 20px;
    color: lightslategrey;
}

.hidden {
    display:none;
}